[android-components](../../index.md) / [mozilla.components.feature.intent.processing](../index.md) / [IntentProcessor](index.md) / [process](./process.md)

# process

`abstract fun process(intent: <ERROR CLASS>): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/intent/src/main/java/mozilla/components/feature/intent/processing/IntentProcessor.kt#L19)

Processes the given [Intent](#).

### Parameters

`intent` - The intent to process.

**Return**
True if the intent was processed, otherwise false.

